cls
@echo.
@echo JAVA_HOME=%JAVA_HOME%
@echo.
@java -version
@echo.
@javac -version
@if exist classes rd /S /Q classes
@if exist modules\de.meinefirma.* del modules\de.meinefirma.*
@if exist modules\guava-21.0.jar goto _guava_ok
mkdir modules
cd modules
curl -O http://central.maven.org/maven2/com/google/guava/guava/21.0/guava-21.0.jar
cd ..
:_guava_ok
@echo.
@echo ---------------------------------------------------------------------
javac -p modules -d classes\de.meinefirma.meinutil src\de.meinefirma.meinutil\*.java src\de.meinefirma.meinutil\de\meinefirma\meinutil\*.java
jar --create --file modules/de.meinefirma.meinutil-1.0.jar --module-version 1.0 -C classes/de.meinefirma.meinutil .
javac -p modules -d classes\de.meinefirma.meineapp src\de.meinefirma.meineapp\*.java src\de.meinefirma.meineapp\de\meinefirma\meineapp\*.java
jar --create --file modules/de.meinefirma.meineapp-1.0.jar --module-version 1.0 --main-class de.meinefirma.meineapp.MeineApp -C classes/de.meinefirma.meineapp .
@echo.
@echo ---------------------------------------------------------------------
java -p modules -m de.meinefirma.meineapp
@echo.
@echo ---------------------------------------------------------------------
