cls
@echo.
@echo JAVA_HOME=%JAVA_HOME%
@echo.
@java -version
@echo.
@javac -version
@if exist distribution rd /S /Q distribution
@if exist classes rd /S /Q classes
@if exist modules rd /S /Q modules
mkdir modules
@echo.
@echo ---------------------------------------------------------------------
javac -d classes --module-source-path src src\de.meinefirma.meineapp\*.java src\de.meinefirma.meineapp\de\meinefirma\meineapp\*.java
javac -d classes --module-source-path src src\de.meinefirma.meinutil\*.java src\de.meinefirma.meinutil\de\meinefirma\meinutil\*.java
java -p classes -m de.meinefirma.meineapp/de.meinefirma.meineapp.MeineApp
@echo.
@echo ---------------------------------------------------------------------
jar --create --file modules/de.meinefirma.meineapp-1.0.jar --module-version 1.0 --main-class de.meinefirma.meineapp.MeineApp -C classes/de.meinefirma.meineapp .
jar --create --file modules/de.meinefirma.meinutil-1.0.jar --module-version 1.0 -C classes/de.meinefirma.meinutil .
java -p modules -m de.meinefirma.meineapp
@echo.
@echo ---------------------------------------------------------------------
jlink --module-path "%JAVA_HOME%/jmods;modules" --add-modules de.meinefirma.meineapp --output distribution --exclude-files *.diz --strip-debug --compress=2
distribution\bin\java -m de.meinefirma.meineapp
@echo.
@echo ---------------------------------------------------------------------
@echo on
distribution\bin\java --list-modules
@echo.
@echo ---------------------------------------------------------------------
