#!/bin/bash -v

clear
if [ ! -n "$JAVA_HOME" ] ; then . ./prepair-Java9.sh ; fi
if [ ! -n "$JAVA_HOME" ] ; then echo -e "\nFehler: JAVA_HOME ist nicht definiert.\n" ; exit 1 ; fi

echo JAVA_HOME=$JAVA_HOME

java -version

javac -version

if [ -d classes ] ; then rm -r classes ; fi
if [ -d modules ] ; then rm -r modules ; fi
mkdir modules

javac -d classes/de.meinefirma.meininterface src/de.meinefirma.meininterface/*.java src/de.meinefirma.meininterface/de/meinefirma/meininterface/*.java
jar --create --file=modules/de.meinefirma.meininterface.jar -C classes/de.meinefirma.meininterface .
javac -p modules -d classes/de.meinefirma.meinprovider src/de.meinefirma.meinprovider/*.java src/de.meinefirma.meinprovider/de/meinefirma/meinprovider/*.java
jar --create --file=modules/de.meinefirma.meinprovider.jar -C classes/de.meinefirma.meinprovider .
javac -p modules -d classes/de.meinefirma.meinconsumer src/de.meinefirma.meinconsumer/*.java src/de.meinefirma.meinconsumer/de/meinefirma/meinconsumer/*.java
jar --create --file=modules/de.meinefirma.meinconsumer.jar --main-class=de.meinefirma.meinconsumer.MeinServiceConsumer -C classes/de.meinefirma.meinconsumer .

java -p modules -m de.meinefirma.meinconsumer

jdeps -s modules/*.jar

